%define	name	dosfstools
%define	version	2.11
%define release	%mkrel 5

Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		%{name}
Version:        %{version}
Release:        %{release}
Source0:	ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools/%{name}-%{version}.src.tar.bz2
Source1:	msdos_fs.h.bz2
Patch0:		dosfstools-2.7-argfix.patch
Patch1:		dosfstools-2.11-assumeKernel26.patch
Patch2:		dosfstools-2.11-lseek.patch
Patch3:		dosfstools-2.11-fortify.patch
Patch4:		dosfstools-2.11-label.patch
License:	GPL
URL:		ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools
Group:		File tools
Obsoletes:	mkdosfs-ygg
Provides:	mkdosfs-ygg = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep
%setup -q
%patch0 -p1 -b .argfix
%patch1 -p1 -b .assumeKernel26
%patch2 -p1 -b .lseek
%patch3 -p1 -b .fortify
%patch4 -p1 -b .label

%build
%make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
cp dosfsck/README README.fsck
cp mkdosfs/README README.mkdosfs
%makeinstall PREFIX=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/man8

# as stated below, /sbin/fsck.* are not included in %files.
#
# Remove this link because for initscripts to don't have a fsck in a vfat
# -- Use dosfsck luke --
rm -rf ${RPM_BUILD_ROOT}/sbin/{fsck.msdos,fsck.vfat}

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES TODO README.fsck README.mkdosfs dosfsck/COPYING
/sbin/mkdosfs
/sbin/mkfs.msdos
/sbin/mkfs.vfat
/sbin/dosfsck
/sbin/dosfslabel
%{_mandir}/man8/*




%changelog
* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 2.11-5mdv2008.1
+ Revision: 117348
- update patch 4 to fix bug #36052 (missing dosfslabel)

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 2.11-4mdv2008.1
+ Revision: 110699
- add patch from Fedora to add dosfslabel program
- fix large file support cflags to fix bug #27436


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.0
+ Revision: 108279
- Import dosfstools

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.1
- Rebuild

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 2.11-2mdk
- rebuild for sparc

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.11-1mdk
- 2.11
- sync with fedora
- fix summary-ended-with-dot
- convert changelog to utf-8

* Sun Oct 09 2005 Michael Scherer <misc@mandriva.org> 2.10-3mdk
- Rebuild

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.10-2mdk
- patch 3: fix build

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- drop prefix tag
- ship with 2.4 kernel header (S1) and compile against it (P2)
- drop patches that hasn't been applied
- spec cosmetics

